> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://help.kajabi.com/feedback

```json
{
  "path": "/api-reference/authentication",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Authentication

The `/v1/oauth/token` endpoint supports `client_credentials` grant type (OAuth 2) to request an `access_token`.

This requires your `client_id` and `client_secret` which are available on the [Public API](https://app.kajabi.com/admin/settings/public_api) settings page of the Kajabi Dashboard.

* Custom User API Keys can be created with specific permissions.
* Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
* For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
